import { Classes } from "@/types/Classes";
export declare const VideoProviders: {
    readonly Empty: "";
    readonly ContentHub: "contentHub";
    readonly "23Video": "23video";
    readonly YouTube: "youtube";
    readonly Wistia: "wistia";
};
export type VideoProviders = (typeof VideoProviders)[keyof typeof VideoProviders];
export type VideoAssets = {
    contentType?: string;
    height?: number;
    width?: number;
    resolution?: string;
};
export type VideoData = {
    provider?: VideoProviders;
    thumbnailSrc?: string;
    code?: string;
    name?: string;
    assets?: VideoAssets;
};
export type VideoElementProps = {
    thumbnailSrc?: string;
    videoSrc?: string;
    videoClasses?: Classes | "";
    isVideoStopped: boolean;
    isActive: boolean;
} & VideoData;
